# I'd much rather do a find_ami here.
variable "pavm_byol_ami_id" {
    default = {
        us-east-1 = "ami-06962643040d7363f"
        us-gov-east-1 = "ami-0f0d54de4d1212aae" # 9.1.3
        #us-gov-east-1 = "ami-a6dd31d7" # 9.1.2
        us-gov-west-1 = "ami-019045558d9d46abe"

        # The below are old and suspect
        ap-south-1 = "ami-5c187233",
        eu-west-1 = "ami-73971600",
        ap-southeast-1 = "ami-0c60aa6f",
        ap-southeast-2 = "ami-f9c4e79a",
        ap-northeast-2 = "ami-fa08c194",
        eu-central-1 = "ami-74e5041b",
        ap-northeast-1 = "ami-e44b5a8a",
        us-west-1 = "ami-acd7aacc",
        sa-east-1 = "ami-1d860971",
        us-west-2 = "ami-e7be4b87"
    }
}

# From their examples:
# data "aws_ami" "panos_firewall_ami" {
#  most_recent = "${var.fw_version == "latest" ? true : false}"
#  owners      = ["679593333241"]
#
#  filter {
#    name   = "name"
#    values = ["PA-VM-AWS-${replace(var.fw_version, "/latest/", "")}*"]
#  }
#
#  filter {
#    name   = "product-code.type"
#    values = ["marketplace"]
#  }
#
#  filter {
#    name   = "product-code"
#    values = ["${lookup(var.bundles, var.fw_bundle)}"]
#  }
#}
